<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [Corporation](./bitburner.corporation.md) &gt; [purchaseUnlock](./bitburner.corporation.purchaseunlock.md)

## Corporation.purchaseUnlock() method

Unlock an upgrade.

**Signature:**

```typescript
purchaseUnlock(upgradeName: CorpUnlockName): void;
```

## Parameters

<table><thead><tr><th>

Parameter


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

upgradeName


</td><td>

[CorpUnlockName](./bitburner.corpunlockname.md)


</td><td>

Name of the upgrade


</td></tr>
</tbody></table>

**Returns:**

void

## Remarks

RAM cost: 20 GB

